textures/icerink/grid
{
	polygonOffset
	surfaceparm nonsolid
	surfaceparm pointlight
	{
		map textures/icerink/grid.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 1 1 1 )
	}
}

textures/icerink/red
{
	qer_trans 0.8
	qer_editorimage textures/icerink/red.tga
	q3map_backsplash 2 1
	q3map_surfacelight 500
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/icerink/red.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/icerink/green
{
	qer_trans 0.8
	qer_editorimage textures/icerink/green.tga
	q3map_backsplash 2 1
	q3map_surfacelight 500
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/icerink/green.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/icerink/sd_goldrush
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 65 2
	q3map_sun 0.3 0.3 0.45 3104 3080 640
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/icerink/icelake2_opaque
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/icerink/bigrock_rounded_faint
{
	qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
	surfaceparm nodamage
	surfaceparm slick
	implicitMap textures/snow_sd/bigrock_rounded_faint.tga
	q3map_clipModel
}

textures/icerink/snowrock_clip
{
	qer_editorimage models/mapobjects/rocks_sd/rock_snow_big.tga
	surfaceparm nodamage
	surfaceparm slick
	implicitMap models/mapobjects/rocks_sd/rock_snow_big.tga
	q3map_clipModel
}